﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Reflection;

namespace LunaWin
{
    public partial class LunaForm : Form
    {
        const int DWMWA_TRANSITIONS_FORCEDISABLED = 3;

        [DllImport("dwmapi", PreserveSig = true)]
        static extern int DwmSetWindowAttribute(IntPtr hWnd, int attr, ref int value, int attrLen);

        public LunaForm()
        {
            InitializeComponent();

            // get current version number
            System.Version prodVersion = Assembly.GetExecutingAssembly().GetName().Version;
            string strVersion = String.Join(".", prodVersion.Major,prodVersion.Minor,prodVersion.Build);

            // add version number to label text

            // truncate version number
            lblVersion.Text = prodVersion.ToString();
        }

        private void cmdHide_Click(object sender, EventArgs e)
        {
            Globals.lunaForm.Hide();
        }
    }
}
